Bug 113222 - grub.conf on two disk machine must be edited to do first reboot
grub.conf on two disk machine must be edited to do first reboot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-09 15:57 EST by Ed Attfield
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 11:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Attfield 2004-01-09 15:57:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1)
Gecko/20020920 Netscape/7.0

Description of problem:
I installed Fedora onto an aging machine which had two physical disks,
hda was 1 Gbyte and hdc was 2 Gbytes.

An obscure message during the install said there was not enough disk
to complete the install onto the 1 GByte disk - it says how much more
space would have been needed, but the phrasing suggests this is the
size of the disk.

I did manual partitioning, and put /boot swap and /home onto the 1
Gbyte disk, and put / onto the 2 GByte disk.

I had to drop staroffice and some packages like cd burner and scanner
support to get it to fit into 2 GBytes.

It installed and rebooted beautifully, though things were pretty slow
in 64 megabytes of ram.

Rebooting the next day did not go so well. Everything works up to the
point where it goes to mount / read/write. This fails, logs a message,
and then the kernel loads and gives a panic message.

I fixed the problem by editing my grub.conf file:
 where the Kernel line said "root=NAME=/"
 I changed it to "root=/dev/hdc1"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use partd to put / on /dev/hdc1
2. reboot
3.
    

Additional info:
Comment 1 Ed Attfield 2004-01-09 16:00:03 EST
I did this all from memory, I can get you the grub.conf and logs, if
you really need them.
Comment 2 Jeremy Katz 2004-01-13 15:56:44 EST
root=LABEL=/?  This should work fine assuming the drive didn't somehow
lose it's label.  What does tune2fs -l /dev/hdc1 show?
Comment 3 Ed Attfield 2004-01-14 20:44:31 EST
tune2fs -l /dev/hdc1 says the volume name is / 
hda1 is /boot
hda3 is /home
swap is on hda2

I looked at grub.conf today and saw that it was back to saying
root-HOME=/ and I thought I was going crazy until I figured out that
it had been changed by running up2date.

My first kernel version (off the yarrow i386 iso) was
  2.4.22-1.2115.nptl (bhcompile@daffy.perf.redhat.com) (gcc version
3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Wed Oct 29 15:20:17 EST 2003
 Kernel command line: ro root=/dev/hdc1 rhgb

My current kernel version is
  2.4.22-1.2135.nptl (bhcompile@bugs.devel.redhat.com) (gcc version
3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Mon Dec 15 15:46:09 EST 2003
Kernel command line: ro root=LABEL=/ rhgb
Comment 4 Jeremy Katz 2004-10-05 11:59:55 EDT
This should be fixed in newer releases.

Note You need to log in before you can comment on or make changes to this bug.